## org.apache.fop.dom.svg
Class SVGStyleElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGStyleElementImpl

public class SVGStyleElementImpl
extends GraphicElement
implements org.w3c.dom.svg.SVGStyleElement

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGStyleElementImpl(java.lang.String str)`

Method Summary
`java.lang.String` `getMedia()`
`org.w3c.dom.stylesheets.StyleSheet` `getStyleSheet()`
`java.lang.String` `getTagName()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`void` `setMedia(java.lang.String media)`
`void` `setTitle(java.lang.String title)`
`void` `setType(java.lang.String type)`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getExternalResourcesRequired, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setExternalResourcesRequired, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGStyleElementImpl

    public SVGStyleElementImpl(java.lang.String str)

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.svg.SVGStyleElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.svg.SVGStyleElement

### getMedia

    public java.lang.String getMedia()

  Specified by:
    getMedia in interface org.w3c.dom.svg.SVGStyleElement

### setMedia

    public void setMedia(java.lang.String media)

  Specified by:
    setMedia in interface org.w3c.dom.svg.SVGStyleElement

### getTitle

    public java.lang.String getTitle()

  Specified by:
    getTitle in interface org.w3c.dom.svg.SVGStyleElement

### setTitle

    public void setTitle(java.lang.String title)

  Specified by:
    setTitle in interface org.w3c.dom.svg.SVGStyleElement

### getStyleSheet

    public org.w3c.dom.stylesheets.StyleSheet getStyleSheet()

### getTagName

    public java.lang.String getTagName()

  Overrides:
    getTagName in class NodeImpl

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.